"use strict";

module.exports = function typeOf(value) {
	// FIXME: Better check
	if (value == null) {
		return null;
	} else if (typeof value === "object") {
		return value.type;
	} else {
		return null;
	}
};
